%define anolis_release 1

%define product_family Anolis OS
%define base_release_version 23

Name:           anolis-rawhide-release
Version:        23
Release:        %{anolis_release}%{?dist}
Summary:        Extra Packages for %{product_family} %{base_release_version} repository configuration

Group:          System Environment/Base
License:        MulanPSLv2

source0:        AnolisOS-EPAO.repo

BuildArch:  noarch

%description
Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration


%package -n anolis-epao-release
Summary:        EPAO Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       anolis-epao
BuildArch:      noarch
Requires:       anolis-release >=  %{base_release_version}

%description -n anolis-epao-release
This package contains the EPAO Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%prep

%build


%install
# yum
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d


%files -n anolis-epao-release
%config(noreplace) /etc/yum.repos.d/AnolisOS-EPAO.repo

%changelog
* Mon Jun 26 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 23-1
- init from Anolis OS 23
